COLRM(1) | General Commands Manual | COLRM(1)

# NAME

`colrm` — remove columns from a file

# SYNOPSIS

`colrm` | [start [stop]]

# DESCRIPTION

`colrm` removes selected columns from the lines of a file. A column is defined as a single character in a line. Input is read from the standard input. Output is written to the standard output.

If only the start column is specified, columns numbered less than the start column will be written. If both start and stop columns are specified, columns numbered less than the start column or greater than the stop column will be written. Column numbering starts with one, not zero.

Tab characters increment the column count to the next multiple of eight. Backspace characters decrement the column count by one.

# SEE ALSO

awk(1), column(1), cut(1), paste(1)

# HISTORY

The `colrm` command appeared in 1BSD. It was completely rewritten for 4.4BSD.

June 6, 1993 | NetBSD 11.0